%define pgpver 0.18.0

Summary:	A commonly used, MIME compliant mail and news reader.
Name:		pine
Version:	4.53
Release:	1.3.0
Copyright:	Freely Distributable
Group:		Applications/Internet
Source0:	ftp://ftp.cac.washington.edu/pine/pine%{version}.tar.gz
Source1:	http://www.megaloman.com/~hany/_data/pinepgp/pinepgp-%{pgpver}.tar.gz
Source2:	pine.conf
Patch0:		pine-4.02-filter.patch
Patch1:		pine-4.21-fixhome.patch
Patch2:		pine-4.21-passwd.patch
Patch3:		pine-4.30-ldap.patch
Patch4:		pine-4.30-openssl.patch
Patch5:		pine-4.30-boguswarning.patch
Patch6:		pine-4.33-rfc822-overflow-gd-1.diff
Patch7:		pine-4.50-lockEaccesError-shut-up-gd-1.diff
Buildroot:	%{_tmppath}/pine-%{version}-root
BuildPrereq:	perl, openssl-devel

%description
Pine is a very popular, easy to use, full-featured email user agent
which includes a simple text editor called pico. Pine supports MIME
extensions and can also be used to read news.  Pine also supports
IMAP, mail and MH style folders.

%files
  %defattr(0444,root,root)
  %doc README CPYRIGHT doc/*.txt doc/pine-ports doc/tech-notes
  %doc doc/mailcap.unx imap/docs/bugs.txt
  %doc %{_mandir}/man1/pico.1*
  %doc %{_mandir}/man1/pine.1*
  %doc %{_mandir}/man1/pilot.1*

  %defattr(0644,root,root)
  %config /usr/lib/mime.types
  %config %{_sysconfdir}/pine.conf

  %defattr(0555,root,root)
  %{_bindir}/gpg-check
  %{_bindir}/gpg-encrypt
  %{_bindir}/gpg-sign
  %{_bindir}/gpg-sign+encrypt
  %{_bindir}/pico
  %{_bindir}/pilot
  %{_bindir}/pine
  %{_bindir}/pinepgpgpg-install
  %{_bindir}/pinegpg-install
  %{_bindir}/pinegpg

%prep
%setup -q -n pine%{version} -a 1 

%patch0 -p1 
%patch1 -p1
%patch2  -p1
%patch3  -p1
#%patch4 -p1
#%patch5 -p1
%patch6 -p1
%patch7 -p1

  # this wants /usr/local/bin/perl
  chmod 644 contrib/utils/pwd2pine
  perl -pi -e "s|/usr/local/bin/perl|/usr/bin/perl|" contrib/utils/pwd2pine


%build
  perl -pi -e "s/-g -fno-omit-frame-pointer -O6/$RPM_OPT_FLAGS/" \
	c-client/Makefile imap/src/osdep/unix/Makefile imap/c-client/Makefile

  ./build \
	DEBUG="" \
	OPTIMIZE="$RPM_OPT_FLAGS" \
	EXTRACFLAGS="-DIGNORE_LOCK_EACCES_ERRORS" \
	SPECIALAUTHENTICATORS=ssl \
	SSLTYPE=unix \
	SSLDIR=/usr \
	SSLCERTS=/usr/share/ssl \
	SSLINCLUDE=/usr/include/openssl \
	SSLLIB="-lssl -lcrypto" \
	lnp

  # Build pinepgp
  cd pinepgp-%{pgpver}
  ./configure --prefix=/usr \
	      --exec_prefix=/usr \
	      --sysconfdir=/etc \
	      --bindir=/usr/bin \
	      --with-gpg=%{_bindir}/gpg \
	      --with-pgp=%{_bindir}/pgp \
	      --with-pgp5=%{_bindir}/pgp \
	      --with-pgp6=%{_bindir}/pgp6
  make


%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/usr/bin
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
  mkdir -p $RPM_BUILD_ROOT/usr/share/doc
  mkdir -p $RPM_BUILD_ROOT/usr/lib
  mkdir -p $RPM_BUILD_ROOT/etc

  install -c -m 644 doc/mime.types $RPM_BUILD_ROOT/usr/lib/mime.types
  install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pine.conf

  for n in pine pico pilot; do
	install -c -m 755 -s bin/$n $RPM_BUILD_ROOT/usr/bin/$n
  done

  # Install pinepgp
  cd pinepgp-%{pgpver}
  make install-pinegpg prefix=$RPM_BUILD_ROOT/usr \
		       exec_prefix=$RPM_BUILD_ROOT/usr \
		       bindir=$RPM_BUILD_ROOT/usr/bin

  cd ../doc
  for n in pine.1 pico.1 pilot.1; do
	install -m 644 $n $RPM_BUILD_ROOT/%{_mandir}/man1
  done

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 17 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.53, Release 1.5.1
  - Upgrade to latest upstream version.
  - Remove unapplied patches from package.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Wed Nov 27 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.50, Release 1.2.4
  - Fix building with SSL.

* Tue Nov 21 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.50, Release 1.2.3
  - Upgrade pine to 4.50.
  - Upgrade pinepgp to 0.18.0.
  - Major spec overhaul, hell why not since it's a major upgrade.

* Mon Nov 18 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.33, Release 1.2.2
  - Fix est_size() DoS in pine/bldaddr.c.

* Thu Apr 18 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.33, Release 1.2.1
  - Fix overflow in rfc822.c, thanks to Bero of Red Hat.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Sun Jan 13 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.33, Release 1.1.1
  - Backported URL handling fix from 4.44 (Patch #20).
  - Sanitized old pre-ESL changelog.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.33, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).
  - Removed Patch #12 (pine-4.30-segfix.patch).  No need for it anymore.

* Tue May 08 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.33, Release 1.0.[34]
  - Upgraded to 4.33 to fix some more temp file issues.
  - hmm... it looks like the pinepgp stuff was wacky.  Fixed.

* Sat Feb 20 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.30, Release 1.0.1
  - Initial build for EnGarde.
  - Took out ldap and krb deps/support.

